"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = require("axios");
exports.sendSms = (apikey, phoneNumber, sender, message) => {
    const params = new URLSearchParams();
    params.append('apikey', apikey);
    params.append('numbers', `${phoneNumber}`);
    params.append('sender', sender);
    params.append('message', message);
    return axios_1.default.post('https://api.textlocal.in/send/', params);
};
exports.sendSmsToMultipleNumbers = (apikey, phoneNumbers, sender, message) => {
    const params = new URLSearchParams();
    params.append('apikey', apikey);
    params.append('numbers', `${phoneNumbers.join(',')}`);
    params.append('sender', sender);
    params.append('message', message);
    return axios_1.default.post('https://api.textlocal.in/send/', params);
};
exports.sendBulk = (apikey, recipients, sender, test = true) => {
    const params = new URLSearchParams();
    params.append('apikey', apikey);
    params.append('data', JSON.stringify({
        messages: recipients.map(recipient => ({
            number: recipient.phoneNumber,
            text: recipient.message,
        })),
        sender,
        test,
    }));
    return axios_1.default.post('https://api.textlocal.in/bulk_json/', params);
};
exports.getBalance = (apikey) => {
    const params = new URLSearchParams();
    params.append('apikey', apikey);
    return axios_1.default.post('https://api.textlocal.in/balance/', params);
};
exports.getTemplates = (apikey) => {
    const params = new URLSearchParams();
    params.append('apikey', apikey);
    return axios_1.default.post('https://api.textlocal.in/get_templates/', params);
};
